Subject: bug#62747: 29.0.90; Invalid desktop file

From: Ulrich Mueller <[email-masked]>
Date: Mon, 10 Apr 2023 15:53:56 +0200

>> invalid-desktopfile /usr/share/applications/emacsclient-mail.desktop value "sh -c "u=\\$(echo \\"\\$1\\" | sed 's/[\\\\\\"]/\\\\\\\\&/g'); exec emacsclient --alternate-editor= --create-frame --eval \\"(message-mailto \\\\\\"\\$u\\\\\\")\\"" sh %u" for key "Exec" in group "Desktop Action new-window" contains a non-escaped character '$' in a quote, but it should be escaped with two backslashes ("\\$")

Sorry, but I don't see any unescaped $ there, all are escaped as \\$.

>> invalid-desktopfile /usr/share/applications/emacsclient-mail.desktop value "sh -c "u=\\$(echo \\"\\$1\\" | sed 's/[\\\\\\"]/\\\\\\\\&/g'); exec emacsclient --alternate-editor= --create-frame --eval \\"(message-mailto \\\\\\"\\$u\\\\\\")\\"" sh %u" for key "Exec" in group "Desktop Action new-window" contains a quote which is not closed

Same here, I don't see any unclosed quote.

Also, where does that log appear, and how can I reproduce it?